Documentation

​
​

Development

User Acquisition

Monetization

Industry

Vivox Safe Text

Vivox Safe Text

Vivox
​
​
Vivox Safe Text
  • Introduction to Safe Text
  • Get started
Capture text sessions
  • Review text sessions
  • Collect evidence
  • Context analysis of text sessions
  • Text evidence management
    • Evidence report API
    • Evidence report HTTP request
    • Evidence report HTTP response examples
    • Player evidence report API
    • Play evidence report HTTP request
    • Player evidence report HTTP response
  • Settings
Review incidents
  • Manage incidents
  • Automate moderation responses
  • Filter and censor text messages
Review player behaviour
  • Player list
  • Review player history
  • Player incidents
  • Review community health
Reference
  • Offenses
  • Context analysis glossary
  • Privacy
  1. Introduction to Vivox Safe Text

Player evidence report API

Use the Player evidence report API to retrieve conversations a player participated in.
Read time 1 minute
Last updated 8 months ago

The player evidence report API returns a list of conversations in which a user participated, along with optional time filters.
The following is an example of a player evidence request:
curl https://services.api.unity.com/vivox/text-evidence-management/v1/organizations/<organization_id>/projects/<project_id>/player-evidence-report?user_uri=sip:your-issuer.john.@yourvivoxdomainname.vivox.com -u service-acct-username:service-account-password
The
user_uri
is required and maps to the sip URI of the user in question.
The player evidence report API accepts the following optional query parameters:

Parameter

Description

start_ts
A Unix timestamp to filter for conversations where the user’s last activity was on and after this timestamp.
end_ts
A Unix timestamp to filter for conversations where the user’s last activity was before and including this timestamp.
num_conversations
The number of conversations to return in the response.
request_start_ts
Use this parameter for pagination requests after the first page. The value is returned in the response payload. The player’s most recent activity orders the conversations in the response, and the next value in the response represents the player’s most recent activity in the next conversation to retrieve. The
request_start_ts
parameter keeps pages accurate if the user is actively chatting.

Copyright © 2026 Unity Technologies
LegalPrivacy PolicyCookiesDocumentation Terms of UseDo Not Sell or Share My Personal InformationYour Privacy Choices (Cookie Settings)

"Unity", Unity logos, and other Unity trademarks are trademarks or registered trademarks of Unity Technologies or its affiliates in the U.S and elsewhere (more info here). Other names or brands are trademarks of their respective owners.

Some pages are machine-translated for convenience, and may contain inaccuracies. In the event of conflicting information, the English version is authoritative.


    Report a problem with this page